Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 587334 - mozlinguas.eclass: Migrate from LINGUAS to L10N
Summary: mozlinguas.eclass: Migrate from LINGUAS to L10N
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: linguas-to-l10n
  Show dependency tree
 
Reported: 2016-06-27 19:14 UTC by Ulrich Müller
Modified: 2018-01-09 01:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Müller gentoo-dev 2016-06-27 19:14:31 UTC
www-client/firefox and friends should use L10N instead of LINGUAS to control downloading and installing of language packs.

Note that the following language tags are considered duplicates. Ebuilds should use the generic language tag without the region subtag for these, and remap to upstream usage where necessary.
# fy-NL - Western Frisian (Netherlands)
# ga-IE - Irish (Ireland)
# gu-IN - Gujarati (India)
# hi-IN - Hindi (India)
# hy-AM - Armenian (Armenia)
# nb-NO - Norwegian Bokmål (Norway)
# nn-NO - Norwegian Nynorsk (Norway)
# pa-IN - Punjabi (India)
# sv-SE - Swedish (Sweden)
Comment 1 Ian Stakenvicius gentoo-dev 2016-07-15 17:15:49 UTC
Taken care of in mozlinguas-v2.eclass -- packages will migrate as they are released; latest stable(-candiate) and ~arch packages for www-client/firefox and mail-client/thunderbird have already been migrated.

Marked the bug as in-progress for now until mozlinguas.eclass is ready for removal, feel free to close it though if waiting is unnecessary to resulve the tracker.
Comment 2 Ulrich Müller gentoo-dev 2018-01-09 01:27:45 UTC
mozlinguas.eclass is gone since almost a year. Closing.